
#! /bin/sh

libdir=/usr/local/lib
realname=libLEPC.so.1.?.?
soname=libLEPC.so.1
linkername=libLEPC.so
realname2=libLEPC2.so.1.?.?
soname2=libLEPC2.so.1
linkername2=libLEPC2.so
ldcommand=ldconfig

cp lib_x64/$realname $libdir
cp lib_x64/$realname2 $libdir

if [ `which $ldcommand` ]; then
  ldcommand=ldconfig
elif [ -e /sbin/ldconfig ]; then
  ldcommand=/sbin/ldconfig
fi

$ldcommand

LD_SUCCESS=`$ldcommand -p | grep libLEPC | wc -l`
if [ $LD_SUCCESS -eq 0 ]; then
    echo "adding $libdir to library path.."
    echo $libdir > /etc/ld.so.conf.d/LE-local-lib.conf 
    $ldcommand
fi

ln -sf $libdir/$soname $libdir/$linkername
ln -sf $libdir/$soname2 $libdir/$linkername2
echo "Installed."
